<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$formname = "Daily Report";
$file = "dailyrep_fr.php";

$salefile = "salemain";
//$purchfile = "purmain";
$crfile = "cashrecd";
$cpfile = "cashpay";
//$brfile = "bankrecp";
//$bpfile = "bankpay";
$zroot = $_SESSION["zdir"];

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$zcomp = $_SESSION["comp_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn,$zdb);



if (isset($_POST["view"])) {

    $frmdate = $_POST["frmdate"];
    $todate = $_POST["todate"];      
    
    function dateDiffInDays($date1, $date2) {
        // Calulating the difference in timestamps 
        $diff = strtotime($date2) - strtotime($date1);

        // 1 day = 24 hours 
        // 24 * 60 * 60 = 86400 seconds 
        return abs(round($diff / 86400));
    }

    $date1 = $frmdate;
    $date2 = $todate;
    $dateDiff = dateDiffInDays($date1, $date2);

    include("includes/linkshead.php");
    ?>
    <style>
        .td{
            font-size: 15px;
        }
        @media print {
            .noPrint {
                display:none;
            }
        }

    </style>
    <body>
        <div class="container" style="width:900px">
            <div class="row">   
                <? include("includes/head_rep.php"); ?>
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 ">
                    <table class="table table-bordered table-condensed">
                        <tr class="mySearchTr">
                            <th width="10%">Date</th>
                            <th width="20%">Cash Receipt</th>
                            <th width="20%">Expense</th>
                            <th width="20%">Personal Expense</th>
                            <th width="20%">Balance</th>
                        </tr>
                        <?php
                        $ctr = 1;

                        for ($i = 0; $i <= $dateDiff; $i++) {

                            if ($i == 0) {
                                $vouchdt = $frmdate;
                            } else {
                                $vouchdt = date('Y-m-d', strtotime("+1 day", strtotime($vouchdt)));
                            }

                            $date = date("d-m-Y", strtotime($vouchdt));

                            $cashqry = mysqli_query($conn,"SELECT *,SUM(amount) as camount FROM cashrecd where vouchdt = '$vouchdt'")or die(mysqli_error($conn));
                            $fcash = mysqli_fetch_array($cashqry);
                            $cashrecvd = $fcash['camount'];

                            $expnqry = mysqli_query($conn,"SELECT *,SUM(amount) as eamt FROM expense where vouchdt = '$vouchdt'")or die(mysqli_error($conn));
                            $fexpn = mysqli_fetch_array($expnqry);
                            $expamt = $fexpn["eamt"];

                            $pexpnqry = mysqli_query($conn,"SELECT *,SUM(amount) as pexpamt FROM persexpense where vouchdt = '$vouchdt'")or die(mysqli_error($conn));
                            $fpexpn = mysqli_fetch_array($pexpnqry);
                            $pexpamt = $fpexpn["pexpamt"];

                            $balance = $cashrecvd - $expamt - $pexpamt
                            ?>

                            <tr style="background-color: white">                           
                                <td><?php echo $date; ?></td>
                                <td><?php echo $cashrecvd; ?></td>
                                <td><?php echo $expamt; ?></td>
                                <td><?php echo $pexpamt; ?></td>
                                <td><?php echo $balance; ?></td>
                            </tr>
                        <?php } ?>
                    </table>
                </div>




                <?php
//                    $getcomp = mysqli_query($conn,"SELECT * FROM $zroot.`company` where code='$zcomp'")or die(mysqli_error($conn));
//                    $comp = mysqli_fetch_array($getcomp);
//                    echo "<label style='font-size:20px;'>$comp[name]</label>"
                ?>
                <!--                </div>
                            </div>-->
                <!--<div class="row">-->
                <!--<div class="col-lg-7 col-md-11 col-sm-11 col-xs-11 ">-->

                                                    <!--<label class="label-control marg"><?php // Echo $formname;         ?> - </label>-->
                <? // date("d-m-Y", strtotime($date));      ?>
                <!--</div>-->
                <!--                <div class="col-lg-1 col-md-1 col-sm-1 col-xs-1 pad">
                                    <a onclick="window.close()" class="btn btn-primary noPrint">GO Back</a>
                                </div>
                            </div>-->


                                <!--            <table style="width:70%;" class="table-bordered table table-stripped table-hover" summary="Ledger - Detail">
                                <tbody>
                                <tr style ="height:10px;">
                                <td class = 'td mySearchTr'   style="text-align:left;" scope="col" width="20"><font size="3px" color=''><b>Cash Sale</b></font></td>
                <?php
//                        echo " <td class = 'td'   style=\"text-align:right;background-color:white\" scope=\"col\" width=\"90\">$cashsale</td>";
                ?>
                                <td class = 'td'   style="text-align:left;" scope="col" width="40"><font size="3px" color=''><b></b></font></td>
                                <td class = 'td mySearchTr'   style="text-align:left;" scope="col" width="20"><font size="3px" color=''><b>Cash Purchase</b></font></td>
                <?php
//                        echo " <td class = 'td'   style=\"text-align:right;background-color:white\" scope=\"col\" width=\"90\">$cashpur</td>";
                ?>
                                </tr>
                                <tr style ="height:10px;">
                                <td class = 'td mySearchTr'   style="text-align:left;" scope="col" width="20"><font size="3px" color=''><b>Total Sale</b></font></td>
                <?php
//                        echo " <td class = 'td'   style=\"text-align:right;background-color:white\" scope=\"col\" width=\"90\">" . number_format($totsale, 2) . "</td>";
                ?>
                                <td class = 'td'   style="text-align:left;" scope="col" width="40"><font size="3px" color=''><b></b></font></td>
                                <td class = 'td mySearchTr'   style="text-align:left;" scope="col" width="20"><font size="3px" color=''><b>Total Purchase</b></font></td>
                <?php
//                        echo " <td class = 'td'   style=\"text-align:right;background-color:white\" scope=\"col\" width=\"90\">" . number_format($totpur, 2) . "</td>";
                ?>
                                </tr>
                                </table>  -->
                                <!--<table class="table table-bordered" summary="Ledger - Detail" width='100%' border="0">-->
                                <!--<table style="width:70%;" class="table-bordered table table-stripped " summary="Ledger - Detail">-->    
                <?php // if ($prntype == 2) {          ?>
                                <!--                <tr style="height:10px;" class="mySearchTr">
                                <td class = 'td'  style="text-align:left;" scope="col" width="10%"><font size="3px" color=''><b></b></font></td>
                                <td class = 'td'  style="text-align:left;" scope="col" width="40%"><font size="3px" color=''><b>Cash Receipt</b></font></td>
                                <td class = 'td'  style="text-align:left;" scope="col" width="12%"><font size="3px" color=''><b></b></font></td>

                                </tr>
                                <tr style="height:10px;" class="mySearchTr">
                                <td class = 'td'  align="left"  color=''><b>Voucher</b></td>
                                <td class = 'td'  align="left"  color=''><b>A/c. Name.</b></td>
                                <td class = 'td'  align="right" color=''><b>Amount</b></td>
                                </tr>-->

                <?php
//                $totrecd = 0;
//                $totdisc = 0;
//                $totclaim = 0;
//                $totamt = 0;
//                mysqli_select_db($conn,$zdb);
//                while ($row = mysqli_fetch_array($crecp2)) {
//                    $getname = mysqli_query($conn,"SELECT `name` FROM `accmast` WHERE accode='$row[recdcode]'") or die(mysqli_error($conn));
//                    $name = mysqli_fetch_array($getname);
//                    echo "<tr style='height:10px;'>";
//                    echo " <td class = 'td'  align='left' color=''>$row[vouchno]</td>";
//                    echo " <td class = 'td'  align='left' color=''>$name[name]</td>";
//                    echo " <td class = 'td'  align='right' color=''>$row[amount]</td>";
//                    echo "</tr>";
//
//                    $totrecd = $totrecd + $row['recdamt'];
//                    $totdisc = $totdisc + $row["discount"];
//                    $totclaim = $totclaim + $row[claim];
//                    $totamt = $totamt + $row[amount];
//                }
                ?>
                                <!--                <tr class="mySearchTr">
                                                    <td class = 'td'  colspan="1" >-->
                <?php
//                        echo " <td class = 'td'  align='right' color=''>Total</td>";
//                        echo " <td class = 'td'  align='right' color=''>" . number_format($totamt, 2) . "</td>";
                ?>
                <!--                    </td>
                                </tr>
                                <tr>
                                    <td class = 'td'  colspan="9">
                                    </td>
                                </tr>
                                <tr class="mySearchTr">
                                    <td class = 'td'  style="text-align:left;" scope="col" width="10"><font size="3px" color=''><b></b></font></td>
                                    <td class = 'td'  style="text-align:left;" scope="col" width="20"><font size="3px" color=''><b>Cash Payment</b></font></td>
                                    <td class = 'td'  style="text-align:left;" scope="col" width="20"><font size="3px" color=''><b></b></font></td>
                                </tr>
                                <tr class="mySearchTr">
                                    <td class = 'td'  align="left" color=''><b>Voucher</b></td>
                                    <td class = 'td'  align="left" color=''><b>A/c. Name.</b></td>
                                    <td class = 'td'  align="right" color=''><b>Amount</b></td>
                                </tr>-->
                <?php
//                $totrecd = 0;
//                $totdisc = 0;
//                $totclaim = 0;
//                $totamt = 0;
//                while ($row2 = mysqli_fetch_array($cpaid2)) {
//
//                    $getname = mysqli_query($conn,"SELECT * FROM `accmast` WHERE accode='$row2[party]'") or die(mysqli_error($conn));
//                    $name = mysqli_fetch_array($getname);
//
//                    echo "<tr>";
//                    echo " <td class = 'td'  align='left' color=''>$row2[vouchno]</td>";
//                    echo " <td class = 'td'  align='left' color=''>$name[name]</td>";
//                    echo " <td class = 'td'  align='right' color=''>$row2[amount]</td>";
//                    echo "</tr>";
//
//                    $totrecd = $totrecd + $row2[recdamt];
//                    $totdisc = $totdisc + $row2[discount];
//                    $totclaim = $totclaim + $row2[claim];
//                    $totamt = $totamt + $row2[amount];
//                }
                ?>
                <!--                <tr class="mySearchTr">
                                    <td class = 'td'  colspan="1" >
                <?php
                echo " <td class = 'td'  align='right' color=''>Total</td>";
                echo " <td class = 'td'  align='right' color=''>" . number_format($totamt, 2) . "</td>";
                ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td class = 'td'  colspan="9">
                                    </td>
                                </tr>
                            </table>-->
                <?php include("includes/linksfoot.php"); ?>
            </div>

    </body>
    </html>
    <?php
}

if (isset($_POST["excel"])) {

    $date = $_POST["date"];


    $getcomp = mysqli_query($conn,"SELECT * FROM $zroot.`company` where code='$zcomp'")or die(mysqli_error($conn));
    $comp = mysqli_fetch_array($getcomp);

    $cpur1 = mysqli_query($conn,"SELECT SUM(netamt) AS amt FROM $purchfile WHERE vouchdt = '$date' AND  `cashcred` = 'C' group by vouchdt") or die(mysqli_error($conn));
    $cspur = mysqli_fetch_array($cpur1);

    $cashpur = $cspur["amt"];

    $cpur2 = mysqli_query($conn,"SELECT SUM(netamt) AS amt FROM $purchfile WHERE vouchdt = '$date' AND  `cashcred` != 'C' group by vouchdt") or die(mysqli_error($conn));
    $cspur = mysqli_fetch_array($cpur2);

    $creditpur = $cspur["amt"];
    $totpur = $cashpur + $creditpur;

///////////////////////////////////////////// New Fildes cash sale, Credit Sale /////////////////////


    $cashsale = $credale = $ccsale = $totsale = 0;

    $csale1 = mysqli_query($conn,"SELECT SUM(netamt) AS amt FROM $salefile WHERE vouchdt = '$date' AND  `cashcred` = 'C'  ") or die(mysqli_error($conn));
    $cssale = mysqli_fetch_array($csale1);
    $cashsale = $cssale[amt];

    $csale2 = mysqli_query($conn,"SELECT SUM(netamt) AS amt FROM $salefile WHERE vouchdt = '$date' AND  `cashcred` != 'C' ") or die(mysqli_error($conn));
    $crsale = mysqli_fetch_array($csale2);
    $creditsale = $crsale["amt"];
//
//    $csale3 = mysqli_query($conn,"SELECT SUM(ccamt) AS amt FROM $salefile WHERE vouchdt = '$date' ") or die(mysqli_error($conn));
//    $ccsale = mysqli_fetch_array($csale3);
//    $ccsale = $ccsale["amt"];

    $totsale = $cashsale + $creditsale;


/////////////////////////////////////////////
    $crecp2 = mysqli_query($conn,"SELECT *,  DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM $crfile WHERE
                      vouchdt = '$date'  order by vouchno ") or die(mysqli_error($conn));

    $cpaid2 = mysqli_query($conn,"SELECT *,  DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM $cpfile WHERE
                      vouchdt = '$date' ") or die(mysqli_error($conn));

    $brecp2 = mysqli_query($conn,"SELECT *,  DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM $brfile WHERE
                       vouchdt = '$date' ") or die(mysqli_error($conn));

    $bpaid2 = mysqli_query($conn,"SELECT *,  DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM $bpfile WHERE
                       vouchdt = '$date' ") or die(mysqli_error($conn));

//////////////

    $crecp = mysqli_query($conn,"SELECT *, SUM(amount) AS amt, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM $crfile WHERE
                      vouchdt = '$date' group by vouchdt") or die(mysqli_error($conn));
    $crget = mysqli_fetch_array($crecp);

    $cramt = $crget["amt"];

    $cpaid = mysqli_query($conn,"SELECT *, SUM(amount) AS amt, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `cashpay` WHERE
                      vouchdt = '$date' group by vouchdt") or die(mysqli_error($conn));
    $cpget = mysqli_fetch_array($cpaid);

    $cpamt = $cpget["amt"];

    $brecp = mysqli_query($conn,"SELECT *, SUM(amount) AS amt, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `bankrecp` WHERE
                      vouchdt = '$date' group by vouchdt") or die(mysqli_error($conn));
    $brget = mysqli_fetch_array($brecp);

    $bramt = $brget["amt"];

    $bpaid = mysqli_query($conn,"SELECT *, SUM(amount) AS amt, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `bankpay` WHERE
                      vouchdt = '$date' group by vouchdt") or die(mysqli_error($conn));
    $bpget = mysqli_fetch_array($bpaid);

    $bpamt = $bpget["amt"];


    $getcomp = mysqli_query($conn,"SELECT * FROM $zroot.`company` where code='$zcomp'")or die(mysqli_error($conn));
    $comp = mysqli_fetch_array($getcomp);

    $cname = $comp[name];

    $contents .= $cname . "\n";

    $contents .= "Cash Sale" . ",";
    $contents .= "$cashsale" . ",";
    $contents .= " " . ",";
    $contents .= "Cash Purchase" . ",";
    $contents .= $cashpur . "\n";

    $contents .= "Credit Sale" . ",";
    $contents .= $creditsale . ",";
    $contents .= " " . ",";
    $contents .= "Credit Purchase" . ",";
    $contents .= $creditpur . "\n";

    $contents .= "CC Sale" . ",";
    $contents .= $ccsale . ",";
    $contents .= " " . ",";
    $contents .= " " . ",";
    $contents .= " " . "\n";

    $contents .= "Total Sale" . ",";
    $contents .= $totsale . ",";
    $contents .= " " . ",";
    $contents .= "Total Purchase" . ",";
    $contents .= $totpur . "\n";


    $contents .= " " . ",";
    $contents .= "Cash Receipt" . ",";
    $contents .= " " . "\n";

    $contents .= "Voucher" . ",";
    $contents .= "A/c Name" . ",";
    $contents .= "Amount" . "\n";


    $totrecd = 0;
    $totdisc = 0;
    $totclaim = 0;
    $totamt = 0;

    mysqli_select_db($conn,$zdb);
    while ($row = mysqli_fetch_array($crecp2)) {
        $getname = mysqli_query($conn,"SELECT `name` FROM `accmast` WHERE accode='$row[bankname]'") or die(mysqli_error($conn));
        $name = mysqli_fetch_array($getname);


        $rvouchno = $row[vouchno];
        $nname = $name[name];
        $ramount = $row[amount];

        $contents .= $rvouchno . ",";
        $contents .= $nname . ",";
        $contents .= $ramount . "\n";


        $totrecd = $totrecd + $row[recdamt];
        $totdisc = $totdisc + $row[discount];
        $totclaim = $totclaim + $row[claim];
        $totamt = $totamt + $row[amount];
    }

    $contents .= " " . ",";
    $contents .= "Total" . ",";
    $contents .= $totamt . "\n";

    $contents .= " " . ",";
    $contents .= "Cash Payment" . ",";
    $contents .= " " . "\n";

    $contents .= "Voucher" . ",";
    $contents .= "A/c. Name." . ",";
    $contents .= "Amount" . "\n";

    $totrecd = 0;
    $totdisc = 0;
    $totclaim = 0;
    $totamt = 0;
    while ($row2 = mysqli_fetch_array($cpaid2)) {

        $getname = mysqli_query($conn,"SELECT * FROM `accmast` WHERE accode='$row2[bankname]'") or die(mysqli_error($conn));
        $name = mysqli_fetch_array($getname);

        $r2vochno = $row2[vouchno];
        $n2name = $name[name];
        $r2amount = $row2[amount];

        $contents .= $r2vochno . ",";
        $contents .= $n2name . ",";
        $contents .= $r2amount . "\n";

        $totrecd = $totrecd + $row2[recdamt];
        $totdisc = $totdisc + $row2[discount];
        $totclaim = $totclaim + $row2[claim];
        $totamt = $totamt + $row2[amount];
    }

    $contents .= " " . ",";
    $contents .= "Total" . ",";
    $contents .= "$totamt" . "\n";

    $contents .= " " . ",";
    $contents .= "Bank Receipt" . ",";
    $contents .= " " . "\n";

    $contents .= "Voucher" . ",";
    $contents .= "A/c Name." . ",";
    $contents .= "Amount" . "\n";

    $totrecd = 0;
    $totdisc = 0;
    $totclaim = 0;
    $totamt = 0;

    while ($row3 = mysqli_fetch_array($brecp2)) {

        $getname = mysqli_query($conn,"SELECT * FROM `accmast` WHERE accode='$row3[bankname]'") or die(mysqli_error($conn));
        $name = mysqli_fetch_array($getname);

        $r3vouchno = $row3[vouchno];
        $nname = $name[name];
        $r3amount = $row3[amount];

        $contents .= $r3vouchno . ",";
        $contents .= $nname . ",";
        $contents .= $r3amount . "\n";


        $totrecd = $totrecd + $row3[recdamt];
        $totdisc = $totdisc + $row3[discount];
        $totclaim = $totclaim + $row3[claim];
        $totamt = $totamt + $row3[amount];
    }


    $contents .= " " . ",";
    $contents .= "Total" . ",";
    $contents .= $totamt . "\n";

    $contents .= " " . ",";
    $contents .= "Bank Payment" . ",";
    $contents .= " " . "\n";

    $contents .= "Voucher" . ",";
    $contents .= "A/c Name" . ",";
    $contents .= "Amount" . "\n";


    $totrecd = 0;
    $totdisc = 0;
    $totclaim = 0;
    $totamt = 0;
    while ($row4 = mysqli_fetch_array($bpaid2)) {

        $getname = mysqli_query($conn,"SELECT * FROM `accmast` WHERE accode='$row4[bankname]'") or die(mysqli_error($conn));
        $name = mysqli_fetch_array($getname);

        $rvouchno = $row4[vouchno];
        $nname = $name[name];
        $ramount = $row4[amount];

        $contents .= $rvouchno . ",";
        $contents .= $nname . ",";
        $contents .= $ramount . "\n";

        $totrecd = $totrecd + $row4[recdamt];
        $totdisc = $totdisc + $row4[discount];
        $totclaim = $totclaim + $row4[claim];
        $totamt = $totamt + $row4[amount];
    }

    $contents .= " " . ",";
    $contents .= "Total" . ",";
    $contents .= $totamt . "\n";

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
if (isset($_POST["subpdf"])) {

    $date = $_POST["date"];

    $getcomp = mysqli_query($conn,"SELECT * FROM $zroot.`company` where code='$zcomp'")or die(mysqli_error($conn));
    $comp = mysqli_fetch_array($getcomp);

    $cpur1 = mysqli_query($conn,"SELECT SUM(netamt) AS amt FROM $purchfile WHERE vouchdt = '$date' AND  `cashcred` = 'C' group by vouchdt") or die(mysqli_error($conn));
    $cspur = mysqli_fetch_array($cpur1);

    $cashpur = $cspur["amt"];

    $cpur2 = mysqli_query($conn,"SELECT SUM(netamt) AS amt FROM $purchfile WHERE vouchdt = '$date' AND  `cashcred` != 'C' group by vouchdt") or die(mysqli_error($conn));
    $cspur = mysqli_fetch_array($cpur2);

    $creditpur = $cspur["amt"];
    $totpur = $cashpur + $creditpur;

///////////////////////////////////////////// New Fildes cash sale, Credit Sale /////////////////////

    $cashsale = $credale = $ccsale = $totsale = 0;

    $csale1 = mysqli_query($conn,"SELECT SUM(netamt) AS amt FROM `$salefile` WHERE vouchdt = '$date'  AND  `cashcred` = 'C' ") or die(mysqli_error($conn));
    $cssale = mysqli_fetch_array($csale1);
    $cashsale = $cssale['amt'];

    $csale2 = mysqli_query($conn,"SELECT SUM(netamt) AS amt FROM `$salefile` WHERE vouchdt = '$date'  AND  `cashcred` != 'C'  ") or die(mysqli_error($conn));
    $crsale = mysqli_fetch_array($csale2);
    $creditsale = $crsale["amt"];

    $totsale = $cashsale + $creditsale;


/////////////////////////////////////////////
    $crecp2 = mysqli_query($conn,"SELECT *,  DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM $crfile WHERE
                      vouchdt = '$date'  order by vouchno ") or die(mysqli_error($conn));

    $cpaid2 = mysqli_query($conn,"SELECT *,  DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM $cpfile WHERE
                      vouchdt = '$date' ") or die(mysqli_error($conn));

    $brecp2 = mysqli_query($conn,"SELECT *,  DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM $brfile WHERE
                       vouchdt = '$date' ") or die(mysqli_error($conn));

    $bpaid2 = mysqli_query($conn,"SELECT *,  DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM $bpfile WHERE
                       vouchdt = '$date' ") or die(mysqli_error($conn));

//////////////

    $crecp = mysqli_query($conn,"SELECT *, SUM(amount) AS amt, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM $crfile WHERE
                      vouchdt = '$date' group by vouchdt") or die(mysqli_error($conn));
    $crget = mysqli_fetch_array($crecp);

    $cramt = $crget["amt"];

    $cpaid = mysqli_query($conn,"SELECT *, SUM(amount) AS amt, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `cashpay` WHERE
                      vouchdt = '$date' group by vouchdt") or die(mysqli_error($conn));
    $cpget = mysqli_fetch_array($cpaid);

    $cpamt = $cpget["amt"];

    $brecp = mysqli_query($conn,"SELECT *, SUM(amount) AS amt, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `bankrecp` WHERE
                      vouchdt = '$date' group by vouchdt") or die(mysqli_error($conn));
    $brget = mysqli_fetch_array($brecp);

    $bramt = $brget["amt"];

    $bpaid = mysqli_query($conn,"SELECT *, SUM(amount) AS amt, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `bankpay` WHERE
                      vouchdt = '$date' group by vouchdt") or die(mysqli_error($conn));
    $bpget = mysqli_fetch_array($bpaid);

    $bpamt = $bpget["amt"];

    require("library/fpdf/fpdf.php");

    class pdf extends fpdf {

        function Footer() {
//Position at 1.5 cm from bottom
            $this->SetY(-15);
//Arial italic 8
            $this->SetFont('Arial', 'I', 8);
//Page number
            $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
        }

    }

    $pdf = new pdf('P', 'mm', 'A4');

    $pdf->AliasNbPages();

    $pdf->AddPage();

    $getcomp = mysqli_query($conn,"SELECT * FROM $zroot.`company` where code='$zcomp'")or die(mysqli_error($conn));
    $comp = mysqli_fetch_array($getcomp);

    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(193, 8, $comp[name], 1);
    $pdf->Ln();

    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(193, 8, $formname . " " . date("d-m-Y", strtotime($date)), 1);
    $pdf->Ln();

    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(40, 8, "Cash Sale", 1);
    $pdf->Cell(40, 8, $cashsale, 1, 0, 'R');
    $pdf->Cell(33, 8, " ", 1);
    $pdf->Cell(40, 8, "Cash Purchase", 1);
    $pdf->Cell(40, 8, "$cashpur", 1, 0, 'R');
    $pdf->Ln();

    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(40, 8, "Credit Sale", 1);
    $pdf->Cell(40, 8, $creditsale, 1, 0, 'R');
    $pdf->Cell(33, 8, " ", 1);
    $pdf->Cell(40, 8, "Credit Purchase", 1);
    $pdf->Cell(40, 8, "$creditpur", 1, 0, 'R');
    $pdf->Ln();

    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(40, 8, "Total Sale", 1);
    $pdf->Cell(40, 8, number_format($totsale, 2), 1, 0, 'R');
    $pdf->Cell(33, 8, " ", 1);
    $pdf->Cell(40, 8, "Total Purchase", 1);
    $pdf->Cell(40, 8, number_format($totpur, 2), 1, 0, 'R');
    $pdf->Ln();

    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(64, 8, " ", 1);
    $pdf->Cell(65, 8, "Cash Receipt", 1);
    $pdf->Cell(64, 8, " ", 1);
    $pdf->Ln();

    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(64, 8, "Voucher", 1);
    $pdf->Cell(65, 8, "A/c. Name", 1);
    $pdf->Cell(64, 8, "Amount", 1, 0, 'R');
    $pdf->Ln();

    $totrecd = 0;
    $totdisc = 0;
    $totclaim = 0;
    $totamt = 0;

    mysqli_select_db($conn,$zdb);
    while ($row = mysqli_fetch_array($crecp2)) {
        $getname = mysqli_query($conn,"SELECT `name` FROM `accmast` WHERE accode='$row[party]'") or die(mysqli_error($conn));
        $name = mysqli_fetch_array($getname);

        $pdf->SetFont('Arial', 'B', 8);
        $pdf->Cell(64, 8, $row[vouchno], 1);
        $pdf->Cell(65, 8, $name[name], 1);
        $pdf->Cell(64, 8, $row[amount], 1, 0, 'R');
        $pdf->Ln();

        $totrecd = $totrecd + $row[recdamt];
        $totdisc = $totdisc + $row[discount];
        $totclaim = $totclaim + $row[claim];
        $totamt = $totamt + $row[amount];
    }

    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(64, 8, " ", 1);
    $pdf->Cell(65, 8, "Total", 1, 0, 'R');
    $pdf->Cell(64, 8, number_format($totamt, 2), 1, 0, 'R');
    $pdf->Ln();

    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(64, 8, " ", 1);
    $pdf->Cell(65, 8, "Cash Payment", 1);
    $pdf->Cell(64, 8, " ", 1);
    $pdf->Ln();

    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(64, 8, "Voucher", 1);
    $pdf->Cell(65, 8, "A/c. Name", 1);
    $pdf->Cell(64, 8, "Amount", 1);
    $pdf->Ln();

    $totrecd = 0;
    $totdisc = 0;
    $totclaim = 0;
    $totamt = 0;
    while ($row2 = mysqli_fetch_array($cpaid2)) {

        $getname = mysqli_query($conn,"SELECT * FROM `accmast` WHERE accode='$row2[party]'") or die(mysqli_error($conn));
        $name = mysqli_fetch_array($getname);

        $pdf->SetFont('Arial', 'B', 8);
        $pdf->Cell(64, 8, $row2[vouchno], 1);
        $pdf->Cell(65, 8, $name[name], 1);
        $pdf->Cell(64, 8, $row2[amount], 1, 0, 'R');
        $pdf->Ln();

        $totrecd = $totrecd + $row2[recdamt];
        $totdisc = $totdisc + $row2[discount];
        $totclaim = $totclaim + $row2[claim];
        $totamt = $totamt + $row2[amount];
    }
    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(64, 8, " ", 1);
    $pdf->Cell(65, 8, "Total", 1, 0, 'R');
    $pdf->Cell(64, 8, number_format($totamt, 2), 1, 0, 'R');
    $pdf->Ln();

    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(64, 8, " ", 1);
    $pdf->Cell(65, 8, "Bank Receipt", 1);
    $pdf->Cell(64, 8, " ", 1);
    $pdf->Ln();

    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(64, 8, "Voucher", 1);
    $pdf->Cell(65, 8, "A/c. Name", 1);
    $pdf->Cell(64, 8, "Amount", 1);
    $pdf->Ln();

    $totrecd = 0;
    $totdisc = 0;
    $totclaim = 0;
    $totamt = 0;

    while ($row3 = mysqli_fetch_array($brecp2)) {

        $getname = mysqli_query($conn,"SELECT * FROM `accmast` WHERE accode='$row3[party]'") or die(mysqli_error($conn));
        $name = mysqli_fetch_array($getname);

        $pdf->SetFont('Arial', 'B', 8);
        $pdf->Cell(64, 8, $row3[vouchno], 1);
        $pdf->Cell(65, 8, $name[name], 1);
        $pdf->Cell(64, 8, $row3[amount], 1, 0, 'R');
        $pdf->Ln();

        $totrecd = $totrecd + $row3[recdamt];
        $totdisc = $totdisc + $row3[discount];
        $totclaim = $totclaim + $row3[claim];
        $totamt = $totamt + $row3[amount];
    }
    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(64, 8, " ", 1);
    $pdf->Cell(65, 8, "Total", 1, 0, 'R');
    $pdf->Cell(64, 8, number_format($totamt, 2), 1, 0, 'R');
    $pdf->Ln();

    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(64, 8, " ", 1);
    $pdf->Cell(65, 8, "Bank Payment", 1);
    $pdf->Cell(64, 8, " ", 1);
    $pdf->Ln();

    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(64, 8, "Voucher", 1);
    $pdf->Cell(65, 8, "A/c. Name", 1);
    $pdf->Cell(64, 8, "Amount", 1);
    $pdf->Ln();

    $totrecd = 0;
    $totdisc = 0;
    $totclaim = 0;
    $totamt = 0;
    while ($row4 = mysqli_fetch_array($bpaid2)) {

        $getname = mysqli_query($conn,"SELECT * FROM `accmast` WHERE accode='$row4[party]'") or die(mysqli_error($conn));
        $name = mysqli_fetch_array($getname);
        $pdf->SetFont('Arial', 'B', 8);
        $pdf->Cell(64, 8, $row4[vouchno], 1);
        $pdf->Cell(65, 8, $name[name], 1);
        $pdf->Cell(64, 8, $row4[amount], 1, 0, 'R');
        $pdf->Ln();

        $totrecd = $totrecd + $row4[recdamt];
        $totdisc = $totdisc + $row4[discount];
        $totclaim = $totclaim + $row4[claim];
        $totamt = $totamt + $row4[amount];
    }
    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(64, 8, " ", 1);
    $pdf->Cell(65, 8, "Total", 1, 0, 'R');
    $pdf->Cell(64, 8, number_format($totamt, 2), 1, 0, 'R');
    $pdf->Ln();
    $pdf->Output('Daily Report', 'D');
}
?>